Get deposit activity

Get the activity within a deposit by the deposit ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The unique deposit identifier.

Prefix is "dep" in production and "sbx_dep" in sandbox.

payment_type
array of strings

One or more payment types to filter by. Provide parameter multiples times to filter by multiple payment types.

ACH_RETURN CHARGEBACK PAYIN REFUND

payment_type
string
length between 1 and 255

Additional information about the activity, applicable for an adjustment.

string
length between 1 and 50

Optional billing contact name by which to filter.

string

Filter by metadata stored on the entity by passing a map of key-value pairs to filter on. The key should be valid JSONPath to a corresponding metadata key.

For example, an entity created with the following metadata

"account": {
  "id": "acct_123"
}

could have the following metadata filter to find entities with the metadata account id:

?metadata[$.account.id]=acct_123
string
enum

Optional value by which to sort the result set. Default sort by is created_at.

Allowed:
string
enum

Order in which to return the sorted results; ascending or descending. Default sort order is descending.

Allowed:
number
≤ 1000
Defaults to 1000

The maximum number of results to return.

number
≥ 0
Defaults to 0

The offset of the first result to return; zero-based.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json